Error
A valid request URL is required to generate request examples{
"object": "<string>",
"data": [
{
"id": "<string>",
"object": "<string>",
"container_id": "<string>",
"path": "<string>",
"bytes": 123,
"created_at": 123,
"source": "<string>"
}
],
"first_id": "<string>",
"last_id": "<string>",
"has_more": true,
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
}
}Containers
List files in a container
Lists all files in a container.
GET
/
v1
/
containers
/
{container_id}
/
files
Error
A valid request URL is required to generate request examples{
"object": "<string>",
"data": [
{
"id": "<string>",
"object": "<string>",
"container_id": "<string>",
"path": "<string>",
"bytes": 123,
"created_at": 123,
"source": "<string>"
}
],
"first_id": "<string>",
"last_id": "<string>",
"has_more": true,
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
}
}Authorizations
BearerAuthBasicAuthVirtualKeyAuthApiKeyAuth
Bearer token authentication. Use your provider API key or Bifrost authentication token.
Virtual keys (prefixed with sk-bf-) can also be passed here.
Path Parameters
The ID of the container
Query Parameters
The provider of the container AI model provider identifier
Available options:
openai, azure, anthropic, bedrock, cohere, vertex, vllm, mistral, ollama, groq, sgl, parasail, perplexity, replicate, cerebras, gemini, openrouter, elevenlabs, huggingface, nebius, xai, runway, fireworks Maximum number of files to return
Required range:
1 <= x <= 100Cursor for pagination
Sort order (asc/desc)
Available options:
asc, desc Response
Successful response
Response containing a list of files in a container
The object type (always "list")
List of file objects
Show child attributes
Show child attributes
ID of the first file in the list
ID of the last file in the list
Whether there are more files to fetch
Additional fields included in responses
Show child attributes
Show child attributes
Was this page helpful?
⌘I

